<packet name="FogInit">
	<version number="546">
		<f32 name="lowest_z">
		<f32 name="highest_z">
		<u8 name="unknown1">
		<u8 name="unknown2">
	</version>
	<version number="942">
		<u8 name="unknown1">
		<u32 name="map_id">
		<f32 name="lowest_z">
		<f32 name="highest_z">
		<u8 name="unknown3">
		<u8 name="num_fog_locations">
		<array name="locations_array" count="var:num_fog_locations">
			<u32 name="fog_location_unknown1">
			<str16 name="fog_location_name">
			<f32 name="fog_location_bounds1_x">
			<f32 name="fog_location_bounds1_z">
			<f32 name="fog_location_bounds2_x">
			<f32 name="fog_location_bounds2_z">
			<u16 name="fog_unknown4">
			<u16 name="fog_compressed_size">
			<array name="fog_compressed_data_array" count="var:fog_compressed_size">
				<u8 name="fog_compressed_data">
			</array>
		</array>
		<u8 name="unknown5">
		<u8 name="num_fog2_locations">
		<array name="locations2_array" count="var:num_fog2_locations">
			<u32 name="fog2_location_unknown1">
			<str16 name="fog2_location_name">
			<f32 name="fog2_location_bounds1_x">
			<f32 name="fog2_location_bounds1_z">
			<f32 name="fog2_location_bounds2_x">
			<f32 name="fog2_location_bounds2_z">
			<u16 name="fog2_unknown4">
			<u16 name="fog2_compressed_size">
			<array name="fog2_compressed_data_array" count="var:fog2_compressed_size">
				<u8 name="fog2_compressed_data">
			</array>
		</array>
		<u8 name="num_maps">
		<array name="map_array" count="var:num_maps">
			<str16 name="zone_name">
			<str16 name="explored_map_name">
			<str16 name="unexplored_map_name">
			<u8 name="unknown6" size="8">
			<u32 name="unknown7">
			<u32 name="unknown8">
			<f32 name="map_bounds1_x">
			<f32 name="map_bounds1_z">
			<f32 name="map_bounds2_x">
			<f32 name="map_bounds2_z">
			<f32 name="map_bounds3_x">
			<f32 name="map_bounds3_z">
			<f32 name="map_bounds4_x">
			<f32 name="map_bounds4_z">
			<u8 name="unknown9" size="9">
			<u64 name="explored_key">
			<u64 name="unexplored_key">
			<u8 name="unknown10">
		</array>
	</version>
	<version number="1096">
		<u8 name="unknown1">
		<u32 name="map_id">
		<f32 name="lowest_z">
		<f32 name="highest_z">
		<u8 name="unknown3" size="2">
		<u8 name="num_fog_locations">
		<array name="locations_array" count="var:num_fog_locations">
			<u32 name="fog_location_unknown1">
			<str16 name="fog_location_name">
			<f32 name="fog_location_bounds1_x">
			<f32 name="fog_location_bounds1_z">
			<f32 name="fog_location_bounds2_x">
			<f32 name="fog_location_bounds2_z">
			<u16 name="fog_unknown4">
			<u16 name="fog_compressed_size">
			<array name="fog_compressed_data_array" count="var:fog_compressed_size">
				<u8 name="fog_compressed_data">
			</array>
		</array>
		<u8 name="unknown5">
		<u8 name="num_fog2_locations">
		<array name="locations2_array" count="var:num_fog2_locations">
			<u32 name="fog2_location_unknown1">
			<str16 name="fog2_location_name">
			<f32 name="fog2_location_bounds1_x">
			<f32 name="fog2_location_bounds1_z">
			<f32 name="fog2_location_bounds2_x">
			<f32 name="fog2_location_bounds2_z">
			<u16 name="fog2_unknown4">
			<u16 name="fog2_compressed_size">
			<array name="fog2_compressed_data_array" count="var:fog2_compressed_size">
				<u8 name="fog2_compressed_data">
			</array>
		</array>
		<u8 name="num_maps">
		<array name="map_array" count="var:num_maps">
			<str16 name="zone_name">
			<str16 name="explored_map_name">
			<str16 name="unexplored_map_name">
			<u8 name="unknown6" size="8">
			<u32 name="unknown7">
			<u32 name="unknown8">
			<f32 name="map_bounds1_x">
			<f32 name="map_bounds1_z">
			<f32 name="map_bounds2_x">
			<f32 name="map_bounds2_z">
			<f32 name="map_bounds3_x">
			<f32 name="map_bounds3_z">
			<f32 name="map_bounds4_x">
			<f32 name="map_bounds4_z">
			<u8 name="unknown9" size="9">
			<u64 name="explored_key">
			<u64 name="unexplored_key">
			<u8 name="unknown10">
		</array>
	</version>
	<version number="1142">
		<u8 name="unknown1">
		<u32 name="map_id">
		<f32 name="lowest_z">
		<f32 name="highest_z">
		<u8 name="unknown3">
		<u8 name="num_fog_locations">
		<array name="locations_array" count="var:num_fog_locations">
			<u32 name="fog_location_unknown1">
			<str16 name="fog_location_name">
			<f32 name="fog_location_bounds1_x">
			<f32 name="fog_location_bounds1_z">
			<f32 name="fog_location_bounds2_x">
			<f32 name="fog_location_bounds2_z">
			<u16 name="fog_unknown4">
			<u16 name="fog_compressed_size">
			<array name="fog_compressed_data_array" count="var:fog_compressed_size">
				<u8 name="fog_compressed_data">
			</array>
		</array>
		<u8 name="unknown5">
		<u8 name="num_fog2_locations">
		<array name="locations2_array" count="var:num_fog2_locations">
			<u32 name="fog2_location_unknown1">
			<str16 name="fog2_location_name">
			<f32 name="fog2_location_bounds1_x">
			<f32 name="fog2_location_bounds1_z">
			<f32 name="fog2_location_bounds2_x">
			<f32 name="fog2_location_bounds2_z">
			<u16 name="fog2_unknown4">
			<u16 name="fog2_compressed_size">
			<array name="fog2_compressed_data_array" count="var:fog2_compressed_size">
				<u8 name="fog2_compressed_data">
			</array>
		</array>
		<u8 name="num_maps">
		<array name="map_array" count="var:num_maps">
			<str16 name="zone_name">
			<str16 name="explored_map_name">
			<str16 name="unexplored_map_name">
			<u8 name="unknown6" size="8">
			<u32 name="unknown7">
			<u32 name="unknown8">
			<f32 name="map_bounds1_x">
			<f32 name="map_bounds1_z">
			<f32 name="map_bounds2_x">
			<f32 name="map_bounds2_z">
			<f32 name="map_bounds3_x">
			<f32 name="map_bounds3_z">
			<f32 name="map_bounds4_x">
			<f32 name="map_bounds4_z">
			<u8 name="unknown9" size="9">
			<u64 name="explored_key">
			<u64 name="unexplored_key">
			<u8 name="unknown10">
		</array>
	</version>
</packet>